Bug 1816908 - add more info about "OnCalendar=" in systemd man page
Summary: add more info about "OnCalendar=" in systemd man page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: systemd
Version: 8.1
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: David Tardon
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 04:17 UTC by kfujii
Modified: 2020-11-04 02:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:02:10 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github systemd-rhel rhel-8 pull 80 0 None closed (#1816908) man: be clearer that .timer time expressions need to be reset to over… 2020-08-03 15:07:10 UTC
Github systemd systemd pull 12168 0 None closed three minor tweaks to the man pages 2020-08-03 15:07:10 UTC
Red Hat Product Errata RHSA-2020:4553 0 None None None 2020-11-04 02:02:38 UTC

Description kfujii 2020-03-25 04:17:37 UTC
Description of problem:

Currently, the man page has less info about OnCalendar= compared with https://www.freedesktop.org/software/systemd/man/systemd.timer.html

RHEL8's info (man systemd.timer)
=============================
OnCalendar=
           Defines realtime (i.e. wallclock) timers with calendar event
           expressions. See systemd.time(7) for more information on the syntax
           of calendar event expressions. Otherwise, the semantics are similar
           to OnActiveSec= and related settings.

           Note that timers do not necessarily expire at the precise time
           configured with this setting, as it is subject to the AccuracySec=
           setting below.

           May be specified more than once.
=============================



Upstream's info
=============================
OnCalendar=

    Defines realtime (i.e. wallclock) timers with calendar event 
    expressions. See systemd.time(7) for more information on the syntax 
    of calendar event expressions. Otherwise, the semantics are similar 
    to OnActiveSec= and related settings.

    Note that timers do not necessarily expire at the precise time 
    configured with this setting, as it is subject to the AccuracySec= 
    setting below.

    May be specified more than once, in which case the timer unit will 
    trigger whenever any of the specified expressions elapse. Moreover 
    calendar timers and monotonic timers (see above) may be combined 
    within the same timer unit.

    If the empty string is assigned to any of these options, the list 
    of timers is reset (both OnCalendar= timers and monotonic timers, 
    see above), and all prior assignments will have no effect.


============================

we should back port this to RHEL8 and RHEL7 as well


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:

the man page has less info about OnCalendar= compared with https://www.freedesktop.org/software/systemd/man/systemd.timer.html

Expected results:

the man page has same info about OnCalendar= compared with https://www.freedesktop.org/software/systemd/man/systemd.timer.html


Additional info:

please make a clone for RHEL7 if you can

Comment 2 Lukáš Nykrýn 2020-05-19 11:27:22 UTC
fix merged to github master branch -> https://github.com/systemd-rhel/rhel-8/pull/80

Comment 8 errata-xmlrpc 2020-11-04 02:02:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: systemd security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4553


Note You need to log in before you can comment on or make changes to this bug.